//+------------------------------------------------------------------+
//|                                             MQLTestIndicator.mq4 |
//|                Copyright 2018, Valery V. Chesnokov (MQLsoft.ru)  |
//|                                           http://www.mqlsoft.ru/ |
//+------------------------------------------------------------------+
#property copyright "Copyright 2018, Valery V. Chesnokov (MQLsoft.ru)"
#property link      "http://www.mqlsoft.ru/"
#property version   "1.00"
#property strict
#property indicator_chart_window

#include "..\Libraries\TelegramMQLsoftBot.mq4"

input int Counter = 20; // Counter

int curr_count = 0;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int OnInit()
  {
//--- indicator buffers mapping
   TelegramSend();
   
//---
   return(INIT_SUCCEEDED);
  }

//+------------------------------------------------------------------+
//| My Telegram function                              |
//+------------------------------------------------------------------+
  int TelegramSend()
  {
      ++curr_count;
      
      if (true)//curr_count >= 20) 
      {
         //curr_count = 0;
         
         string UserName = "vchesnokov";
         string Message = "Message from MQLTestIndicator";
         
         int result = TelegramSendMessage(UserName, Message);
         Alert ("TelegramSend return: ", result);
      }
      
      return curr_count;
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int OnCalculate(const int rates_total,
                const int prev_calculated,
                const datetime &time[],
                const double &open[],
                const double &high[],
                const double &low[],
                const double &close[],
                const long &tick_volume[],
                const long &volume[],
                const int &spread[])
  {
//---
   TelegramSend();
   
//--- return value of prev_calculated for next call
   return(rates_total);
  }
//+------------------------------------------------------------------+
